Skip to main content
GET
List the agent's conversations

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string<uuid>
required

Query Parameters

subject_key
string | null

Only the conversation with this contact, by the caller's key for them, e.g. sequence::record:. A contact nobody has written to has none.

Maximum string length: 255
limit
integer
default:10

The number of items to return.

Required range: 1 <= x <= 100
order_by
enum<string>
default:created_at
Available options:
id,
created_at
order_direction
enum<string>
default:desc
Available options:
asc,
desc
cursor
string | null

Set the cursor to the next or previous page. You can get the cursor from the previous page's response.

Response

Successful Response

data
OutboundConversationReadSchema · object[]

The list of ResponseItems.

next_page_cursor
string | null

The cursor to the next page. If there are no more pages, this is None.

previous_page_cursor
string | null

The cursor to the previous page. If there are no previous pages, this is None.